# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/emacs perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/Hide.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/ShareDir.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm) perl(ok.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Text-EmacsColor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: syntax-highlight code snippets with Emacs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JR/JROCKWAY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
my $colorer = Text::EmacsColor->new;

    my $html = $colorer->format(
        'my $foo = 42', # code
        'cperl',        # the emacs mode to use (cperl, lisp, haskell, ...)
    );

By default, emacs will exec in --batch mode.  If you want to use emacsclient
or pass other options to emacs, specify the emacs_command initarg:

    my $colorer = Text::EmacsColor->new( emacs_command => 'emacsclient --eval' );

Note that `$html', the return value of `format', is an instance of
Text::EmacsColor::Result.  It stringifies
to the HTML-ified text that emacs returns, but also provides other
functionality.  See the Text::EmacsColor::Result manpage for more details.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*
%perl_vendor_privlib/auto/*
%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

